Create coupons
curl --request POST \
--url https://v1.api.altostrat.io/captive/instances/{instanceId}/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"minutes_valid": 1440,
"count": 50
}
'import requests
url = "https://v1.api.altostrat.io/captive/instances/{instanceId}/coupons"
payload = {
"minutes_valid": 1440,
"count": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({minutes_valid: 1440, count: 50})
};
fetch('https://v1.api.altostrat.io/captive/instances/{instanceId}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b1c2d3e4-f5a6-b7c8-d9e0-f1a2b3c4d5e6",
"code": "8B7W3D",
"expires_at": "2025-11-01T12:00:00Z",
"redeemed_at": null,
"created_at": "2025-10-29T12:00:00Z"
}
]{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Coupons
Create coupons
Generates a batch of one-time use coupons for a specified captive portal instance.
POST
/
captive
/
instances
/
{instanceId}
/
coupons
Create coupons
Authorizations
API Key authentication. Provide your token in the 'Authorization' header. Example: Authorization: Bearer <YOUR_TOKEN>
Path Parameters
The unique identifier for the captive portal instance.
Example:
"9a7f1b2c-3d4e-5f6a-7b8c-9d0e1f2a3b4c"
Body
application/json
Response
The coupons were created successfully.
The unique identifier for the coupon.
Example:
"b1c2d3e4-f5a6-b7c8-d9e0-f1a2b3c4d5e6"
The 6-character alphanumeric code for the coupon.
Example:
"8B7W3D"
The timestamp when the coupon will expire and become invalid.
Example:
"2025-11-01T12:00:00Z"
The timestamp when the coupon was redeemed. Null if not yet redeemed.
Example:
null
The timestamp when the coupon was created.
Example:
"2025-10-29T12:00:00Z"
Was this page helpful?
⌘I